#ifndef COMMANDBASECLASS_H
#define COMMANDBASECLASS_H

#include <stdio.h>
#include <iostream>
#include <iomanip>
#include <string>
#include "OperationBaseClass.hpp"
#include "StringParser.hpp"

using namespace std;

#define COMMAND_NUMBER 30

class CommandBaseClass
{
    public:
             CommandBaseClass(COMMAND_TYPE, string);
    virtual  ~CommandBaseClass();

            int addOperation(OperationBaseClass *);
            int listOperation(StringParser);

    virtual int executeCommand(StringParser);

            int findAndExecuteOperation(StringParser);

            int getName(string *);
            int getHelp(string *);
            int getTypeID(COMMAND_TYPE *);

    protected:
             string               m_command_name;
             COMMAND_TYPE         m_command_type;
             string               m_help_content;

             OperationBaseClass   *m_operation[OPERATION_NUMBER];
             int                  m_operation_count;

             int Initial_command_name(COMMAND_TYPE);
};

#endif
