#ifndef ETHERNET_COMMAND_H
#define ETHERNET_COMMAND_H

#include <stdio.h>
#include <iostream>
#include <string>
#include "CommandBaseClass.hpp"
#include "EthernetOperation.hpp"
#include "EthernetDAPI.hpp"


using namespace std;


class EthernetCommand: public CommandBaseClass
{

    public:
                        EthernetCommand(COMMAND_TYPE, string);
                        ~EthernetCommand();

                   int  executeCommand(StringParser);
                   int  List_operation_parameter(string);

    private:
                   int  List(StringParser);
                   int  Show(StringParser);
                   int  Test(StringParser);
                   int  MAC(StringParser);
                   int  EEPROM(StringParser);
                   int  SFP(StringParser);
                   int  ERROR(StringParser);
};

#endif
