#ifndef I2C_OPERATION_H
#define I2C_OPERATION_H

#include <stdio.h>
#include <iostream>
#include <string>
#include "OperationBaseClass.hpp"
#include "I2CDAPI.hpp"

using namespace std;


class I2COperation: public OperationBaseClass
{
    public:
                I2COperation(OPERATION_TYPE, string);
       virtual  ~I2COperation();

                //Decide which operation to be executed
                int  executeOperation(StringParser);

                //Operation implement here
                int  read(StringParser);
                int  write(StringParser);
                int  dump(StringParser);
                int  testMUX(StringParser);
                int  stuckPrevention(StringParser);
                int  writeReadCompare(StringParser);
                int  path(StringParser);

                //Show parameter message here
                int  Help_parameter(StringParser);

                //Check parameter syntax here
                int  Syntax_check(StringParser);
                
    private:

};

#endif
