#include "StorageModule.hpp"

StorageModule::StorageModule(string className) : ModuleBaseClass(className)
{
    //Add NEW command, new I2CCommand(command name, HELP message)
    addCommand(new StorageCommand(CMD_LIST, "List Supported Storage Devices"));
    addCommand(new StorageCommand(CMD_SHOW, "Show Storage Device Information"));
    addCommand(new StorageCommand(CMD_TEST, "Read or Write Test Performance from Storage device"));
    addCommand(new StorageCommand(CMD_UTILITY, "Get SMART Information from Storage device"));
}

StorageModule::~StorageModule()
{

}
