#ifndef TPMCommand_H
#define TPMCommand_H

#include "TPMOperation.hpp"
#include "CommandBaseClass.hpp"
#include "TPMDAPI.hpp"

class TPMCommand : public CommandBaseClass 
{
    public:
        TPMCommand(COMMAND_TYPE, string);
        ~TPMCommand();

        int executeCommand(StringParser in_classCommandLine);

    private:
        int         m_s32Result;
        TPMDAPI*    m_pTPMDAPI;

        int List();

};

#endif
