#ifndef COMMON_H
#define COMMON_H

// define common definitions
//typedef bool BOOL;
#define BOOL    bool
//#define CHAR    char
typedef char CHAR;
#define INT8    char
#define INT16   short
#define INT32   int

#define UCHAR   unsigned char
#define UINT8   unsigned char
#define UINT16  unsigned short
#define UINT32  unsigned int
#define UINT64  unsigned long long
#define STRING  const char*
#define FLOAT	float

//#define U8      UCHAR
typedef unsigned char U8;
//#define U16     UINT16
typedef unsigned short U16;
//#define U32     UINT32
typedef unsigned int U32;
//#define U64     UINT64
typedef unsigned long long U64;

#define PHYSICAL_ADDRESS_T  unsigned long long
#if __x86_64__
#define SYSTEM_ADDRESS_T    UINT64
#else
#define SYSTEM_ADDRESS_T    UINT32
#endif

#define TRUE        1
#define FALSE       0
#define BOOL_ON     TRUE
#define BOOL_OFF    FALSE
#define ON	    	TRUE
#define OFF	    	FALSE

#define ACTIVE_HI 1
#define ACTIVE_LO 0

#define CLASS_NAME_LENGTH     64
#define DEBUG_MESSAGE_LENGTH  64
#define SECTOR_SIZE             512
#define TestBlockNumber 32

#undef  NULL
#define NULL    (0)

#if 0
typedef struct
{
    unsigned short domain;
    unsigned short bus:8;
    unsigned short dev:8;
    unsigned short func:8;
    unsigned short classid;
    unsigned short revision:8;  /* pci revision */
    unsigned short vendor;
    unsigned short device;
    unsigned short sub_vendor;
    unsigned short sub_device;
    unsigned short addr;        /* the register's address */
    unsigned int   data;        /* read/write value */
}PCIDevStruct;
#endif

#endif

