#ifndef TPMDAPI_H
#define TPMDAPI_H 

#include "BaseClassDAPI.hpp"
#include "TPMDDAPI.hpp"


class TPMDAPI : public BaseClassDAPI 
{
    public:
        TPMDAPI(STRING);
        ~TPMDAPI();

        void JustTest();

        ErrorMsg*   displayDevice();
        
        ErrorMsg*   commandInterface(TPM_CMD_INPUT  in_cmdList,
                                     UINT8*         out_u8pRspBuffer,
                                     UINT32         in_u32RspBufferSize,
                                     UINT32*        out_u32pRspSize); //size the TPM feedback 

        ErrorMsg*   sendCommandManually(STRING    in_cmdFileName,
                                        UINT8*    out_u8pRspBuffer,
                                        UINT32    in_u32RspBufferSize,
                                        UINT32*   out_u32pRspSize); //size the TPM feedback

    private:
        TPMDDAPI*   m_pTpmDriverAPI;
        ErrorMsg*   m_pErrorMsg;
        ERRORCODE   m_eErrorCode;

};

#endif
