#include "I2CSwitch.hpp"



I2CSwitch :: I2CSwitch(string name, int bus, int device_address, /*int input_port,*/ int *output_port, int output_port_counter, I2C_DEVICE_TYPE device_type, string device_vender, string device_model) : I2CDevice(name, bus, device_address, device_type, device_vender, device_model)
{
    int i;

    m_output_port = new int[output_port_counter];
    for (i=0; i<output_port_counter; i++)
    {
        m_output_port[i] = output_port[i];
    }
    m_output_port_counter = output_port_counter;
}



I2CSwitch :: ~I2CSwitch()
{
    delete m_output_port;
}



int I2CSwitch :: get_output_port(int index)
{
    return m_output_port[index];
}



int I2CSwitch :: get_output_port_counter()
{
    return m_output_port_counter;
}



int I2CSwitch :: IsSwitch()
{
    return 1;
}

