#ifndef I2CSwitch_H
#define I2CSwitch_H

#include "I2CDevice.hpp"

class I2CSwitch : public I2CDevice
{
public:
                       I2CSwitch(string name, int bus, int device_address, int *output_port, int output_port_counter, I2C_DEVICE_TYPE device_type, string device_vender, string device_model);
                       ~I2CSwitch();
            int        get_output_port(int index);
            int        get_output_port_counter();
            int        IsSwitch();

protected:

private:
            ErrorMsg   *m_errorCode;
            int        *m_output_port;
            int        m_output_port_counter;

};

#endif

