#ifndef MODULEBASECLASS_H
#define MODULEBASECLASS_H

#include <stdio.h>
#include <iostream>
#include <string>
#include <iostream>
#include <iomanip>
#include "CommandBaseClass.hpp"
#include "StringParser.hpp"

using namespace std;

class ModuleBaseClass
{
    public:
              ModuleBaseClass(string);
    virtual   ~ModuleBaseClass(void);

           int     addCommand(CommandBaseClass *);
           int     listCommand();
           int     findExecuteCommand(StringParser);
           
           string  getModuleName();

   protected:

    private:
           string            m_module_name;
           CommandBaseClass  *m_command[COMMAND_NUMBER];
           int               m_command_count;
};

#endif
