#ifndef OPERATION_BASS_CLASS_H
#define OPERATION_BASS_CLASS_H

#include <stdio.h>
#include <iostream>
#include <string>
#include "StringParser.hpp"
#include "CommonCLIFunctions.hpp"

using namespace std;

#define  OPERATION_NUMBER 30
#define  PARAMETER_NUMBER 7

class OperationBaseClass
{
    public:
                      OperationBaseClass(OPERATION_TYPE, string);
        virtual       ~OperationBaseClass();

        virtual  int  executeOperation(StringParser);

                 int  getName(string *);
                 int  setName(string);
                 
                 int  getHelp(string *);
                 int  setHelp(string);
                 
                 OPERATION_TYPE  getOperationType();
                 int             setOperationType(OPERATION_TYPE);
                 
        virtual  int  helpParameter();
        virtual  int  syntaxCheck(StringParser);
        
                 int  setAllParameter(StringParser);
                 int  getParameter(string*, int);

    private:
          string          m_operation_name;
          string          m_help_content;
          OPERATION_TYPE  m_opration_type;
          
          string  m_parameter[PARAMETER_NUMBER];
          int     m_parameter_count;
};

#endif
