#ifndef COMMON_H
#define COMMON_H

#include "nvme.hpp"

void showNvmeIdentifyCtrl(struct nvme_id_ctrl *ctrl);
void showNvmeIdentifyNS(struct nvme_id_ns *ns);
void showLBARange(struct nvme_lba_range_type *lbrt, int nr_ranges);
void showErrorLog(struct nvme_error_log_page *err_log);
void showSmartLog(struct nvme_smart_log *smart);
void showFWLog(struct nvme_firmware_log_page *fw_log);

//void nvmeFeatureShowFields(unsigned int fid, unsigned int result, unsigned char *buf);
long double convert16ByteToDouble(__u8 *data, unsigned int size);


#endif
