#include "TemperatureModule.hpp"



TemperatureModule::TemperatureModule(string className) : ModuleBaseClass(className)
{
    //printf("%s\n", __PRETTY_FUNCTION__);
    //Add NEW command, new I2CCommand(command name, HELP message)
    addCommand(new TemperatureCommand(CMD_LIST, "List Supported Temperature Devices"));
    addCommand(new TemperatureCommand(CMD_SHOW, "Show Temperature Device Information"));
    addCommand(new TemperatureCommand(CMD_UTILITY, "Read or Write  Temperature Sensor"));
}



TemperatureModule::~TemperatureModule()
{

}
