#ifndef GPIO_DAPI_H
#define GPIO_DAPI_H

#include "BaseClassDAPI.hpp"
#include "GPIODDAPI.hpp"
#include "MemoryDAPI.hpp"




class GPIODAPI : public BaseClassDAPI
{
    public: 
                         GPIODAPI(STRING className);
            virtual      ~GPIODAPI(void);
            ErrorMsg*   displayGPIOList(list<string> *pGPIOList);
            ErrorMsg*   getStatus(string  name, BOOL *pGPIOStatus);
            ErrorMsg*   setStatus(string  name, BOOL Status);

    private:
           GPIODDAPI    *m_GPIODiver;
           //ErrorMsg     *m_errorCode;






};

#endif
