#ifndef TEMPERATURE_DDAPI_H
#define TEMPERATURE_DDAPI_H

#include "BaseClassDDAPI.hpp"
//#include "GPIODevice.hpp"

//#include "GPIOSwitch.hpp"
//#include "GPIOBus.hpp"
#include <sys/stat.h>

#include <dirent.h>
#include <unistd.h>

#include <fcntl.h>
#include <sys/time.h>
#include "CommonFunctions.hpp"
//#include <algorithm>
#include <list>
//#include "SCSICommand.hpp"
//#include <errno.h>
//#include <sys/ioctl.h>

#include "TemperatureGeneric.hpp"
#include "Temperature_SAS.hpp"
#include "Temperature_I2C.hpp"
#include "Temperature_PSU.hpp"
#include "Temperature_CPU.hpp"


using namespace std;

#define TEMPERATURE_DEVICE_NAME_LENGTH  30
#define MAX_NUMBER_OF_TEMPERATURE_DRIVERS 10

/*
#define MAX_TEMPERATURE_DEVICE_NO       256

#define TEMPERATURE_ID_UNDEFINED        0xFFFF

#define TEMPERATURE_SYSTEM_BUS_PATH     "/sys/bus/GPIO/devices/"
#define TEMPERATURE_SYSTEM_BLPCK_PATH   "/sys/block/"

#define MEGA_BYTES_SIZE         (1024*1024)
#define TEMPERATURE_BLOCK_SIZE          (512)
#define UINT_MAX                (2147483647 * 2U + 1U)
*/

//#define     PROFILE_PATH_NAME   "GPIO_profile.ini"








class TemperatureDDAPI : public BaseClassDDAPI
{
public:
                     TemperatureDDAPI(STRING className);
                    ~TemperatureDDAPI();

                     ErrorMsg*  getTemperatureNameList(list<string> *pTemperatureList);
                     ErrorMsg*  getDataByName(STRING WellKnownName,
                                              TEMPERATURE_DATA_ELEMENT TemperatureDataElement,
                                              list<string> *returnDataInfo);
                     ErrorMsg*  setDataByName(STRING WellKnownName,
                                              TEMPERATURE_DATA_ELEMENT TemperatureDataElement,
											  string SetValue);

/*


                     ErrorMsg*  getLogicalIdByName(STRING WellKnownName, UINT32 *LogicalID);

                     ErrorMsg*   GetWellKnownNameByIndex(INT32 index, CHAR* gpioName, INT32 stringLength);
                     ErrorMsg*   readBit(string gpioName, BOOL* readValue);
                     //ErrorMsg*   resetBit(string  gpioName);
                     ErrorMsg*   setBit(string  gpioName, BOOL Status);
*/




protected:
                     //ErrorMsg* m_errorCode;

private:
                     TemperatureGeneric*      m_TemperatureDriverList[MAX_NUMBER_OF_TEMPERATURE_DRIVERS];

};


#endif

